org.apache.ignite.internal.visor.cache

## Class VisorCacheConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheConfiguration

All Implemented Interfaces:
  Serializable, LessNamingBean

    public class VisorCacheConfiguration
    extends Object
    implements Serializable, LessNamingBean

Data transfer object for cache configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheConfiguration()`

### Method Summary

Methods
`VisorCacheAffinityConfiguration` `affinityConfiguration()`
`CacheAtomicityMode` `atomicityMode()`
`CacheAtomicWriteOrderMode` `atomicWriteOrderMode()`
`VisorCacheDefaultConfiguration` `defaultConfiguration()`
`boolean` `eagerTtl()`
`VisorCacheEvictionConfiguration` `evictConfiguration()`
`String` `expiryPolicyFactory()`
`VisorCacheConfiguration` `from(IgniteEx ignite, CacheConfiguration ccfg)`
`String` `interceptor()`
`boolean` `invalidate()`
`String` `loaderFactory()`
`boolean` `managementEnabled()`
`int` `maxConcurrentAsyncOperations()`
`CacheMemoryMode` `memoryMode()`
`CacheMode` `mode()`
`String` `name()`
`VisorCacheNearConfiguration` `nearConfiguration()`
`long` `offsetHeapMaxMemory()`
`VisorCacheQueryConfiguration` `queryConfiguration()`
`VisorCacheRebalanceConfiguration` `rebalanceConfiguration()`
`int` `startSize()`
`boolean` `statisticsEnabled()`
`VisorCacheStoreConfiguration` `storeConfiguration()`
`boolean` `swapEnabled()`
`boolean` `system()`
`String` `toString()`
`Collection<VisorCacheTypeMetadata>` `typeMeta()`
`String` `writerFactory()`
`CacheWriteSynchronizationMode` `writeSynchronizationMode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheConfiguration

    public VisorCacheConfiguration()

### Method Detail

#### from

    public VisorCacheConfiguration from(IgniteEx ignite,
                               CacheConfiguration ccfg)

Parameters:
  `ignite` - Grid.
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for cache configuration properties.

#### name

    @Nullable
    public String name()

Returns:
  Cache name.

#### mode

    public CacheMode mode()

Returns:
  Cache mode.

#### atomicityMode

    public CacheAtomicityMode atomicityMode()

Returns:
  Cache atomicity mode

#### atomicWriteOrderMode

    public CacheAtomicWriteOrderMode atomicWriteOrderMode()

Returns:
  Cache atomicity write ordering mode.

#### eagerTtl

    public boolean eagerTtl()

Returns:
  Eager ttl flag

#### writeSynchronizationMode

    public CacheWriteSynchronizationMode writeSynchronizationMode()

Returns:
  Write synchronization mode.

#### swapEnabled

    public boolean swapEnabled()

Returns:
  Swap enabled flag.

#### invalidate

    public boolean invalidate()

Returns:
  Invalidate.

#### startSize

    public int startSize()

Returns:
  Start size.

#### offsetHeapMaxMemory

    public long offsetHeapMaxMemory()

Returns:
  Off-heap max memory.

#### maxConcurrentAsyncOperations

    public int maxConcurrentAsyncOperations()

Returns:
  Max concurrent async operations

#### memoryMode

    public CacheMemoryMode memoryMode()

Returns:
  Memory mode.

#### interceptor

    @Nullable
    public String interceptor()

Returns:
  Cache interceptor.

#### typeMeta

    public Collection<VisorCacheTypeMetadata> typeMeta()

Returns:
  Collection of type metadata.

#### statisticsEnabled

    public boolean statisticsEnabled()

Returns:
  `true` if cache statistics enabled.

#### managementEnabled

    public boolean managementEnabled()

Returns:
  Whether management is enabled.

#### loaderFactory

    public String loaderFactory()

Returns:
  Class name of cache loader factory.

#### writerFactory

    public String writerFactory()

Returns:
  Class name of cache writer factory.

#### expiryPolicyFactory

    public String expiryPolicyFactory()

Returns:
  Class name of expiry policy factory.

#### affinityConfiguration

    public VisorCacheAffinityConfiguration affinityConfiguration()

Returns:
  Cache affinityCfg config.

#### rebalanceConfiguration

    public VisorCacheRebalanceConfiguration rebalanceConfiguration()

Returns:
  Preload config.

#### evictConfiguration

    public VisorCacheEvictionConfiguration evictConfiguration()

Returns:
  Eviction config.

#### nearConfiguration

    public VisorCacheNearConfiguration nearConfiguration()

Returns:
  Near cache config.

#### defaultConfiguration

    public VisorCacheDefaultConfiguration defaultConfiguration()

Returns:
  Dgc config

#### storeConfiguration

    public VisorCacheStoreConfiguration storeConfiguration()

Returns:
  Store config

#### queryConfiguration

    public VisorCacheQueryConfiguration queryConfiguration()

Returns:
  Cache query configuration.

#### system

    public boolean system()

Returns:
  System cache state.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017